# Interface FaceGearConfig

Gear part of face configuration

#### Hierarchy

- GenericConfig
  - FaceGearConfig

- Defined in src/config.ts:80

#####
Index

### Properties

enabled
minConfidence
modelPath
skipFrames
skipTime

## Properties

### enabled

enabled: boolean

is module enabled?

Inherited from GenericConfig.enabled

- Defined in src/config.ts:15

### minConfidence

minConfidence: number

minimum confidence for a detected race before results are discarded

- Defined in src/config.ts:82

### modelPath

modelPath: string

path to model json file (relative to `modelBasePath`

Inherited from GenericConfig.modelPath

- Defined in src/config.ts:17

### skipFrames

skipFrames: number

how many max frames to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only

Inherited from GenericConfig.skipFrames

- Defined in src/config.ts:20

### skipTime

skipTime: number

how many max milliseconds to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only

Inherited from GenericConfig.skipTime

- Defined in src/config.ts:23